Bug 1300945 - tracker bug for splitting llvm packages and moving to cmake
tracker bug for splitting llvm packages and moving to cmake
Product: Fedora
Classification: Fedora
Component: llvm (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On: 1300942 1300943 1300944
  Show dependency treegraph
Reported: 2016-01-22 02:36 EST by Dave Airlie
Modified: 2016-06-05 10:29 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-06-05 10:29:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Airlie 2016-01-22 02:36:19 EST
Description of problem:

Upstream llvm is moving to using cmake, we need to get our packages moved over.
This move also allows us to build llvm in separate pieces, so we can split our llvm package up into llvm, clang, compiler-rt and lldb packages.

This bug is a tracker for the reviews of the splits.


is the proposed llvm spec file.
Comment 1 Adam Jackson 2016-01-26 16:30:52 EST
This doesn't build from just the spec file, you also need to copy llvm-config.h from the current llvm source package

However with that in place, this looks good.  I'd paste the fedora-review output here, but it doesn't seem to want to complete in bounded time (been running for hours now).

I'v reviewed the clang lldb and compiler-rt packages too, once those git modules are created we can build this.
Comment 2 Jan Kurik 2016-02-24 09:19:34 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:

Note You need to log in before you can comment on or make changes to this bug.